package com.example.request;

import org.eclipse.gef.Request;
import org.eclipse.swt.graphics.RGB;

import com.example.model.Node;

/**
 * @author zhanghao
 *
 */
public class ChangeColorRequest extends Request{
	final static public String REQ_CHANGE_COLOR="REQ_CHANGE_COLOR";
	private Node node;
	private RGB color;

	public ChangeColorRequest(Node node, RGB color) {
		super();
		this.color = color;
		this.node = node;
		setType(REQ_CHANGE_COLOR);
	}

	public RGB getColor() {
		return color;
	}

	public Node getNode() {
		return node;
	}

	public void setNode(Node node) {
		this.node = node;
	}

	public void setColor(RGB color) {
		this.color = color;
	}
	
}
